Bug 1901395 - "Edit virtual machine template" action link should be removed
Summary: "Edit virtual machine template" action link should be removed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Matan Schatzman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-25 02:15 UTC by Guohua Ouyang
Modified: 2021-02-24 15:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:35:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7353 0 None closed Bug 1901395: Fix broken link of edit vm template of a user 2021-02-08 12:07:09 UTC
Github openshift console pull 7370 0 None closed Bug 1901395: Remove edit template link 2021-02-08 12:07:10 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:36:19 UTC

Description Guohua Ouyang 2020-11-25 02:15:14 UTC
Description of problem:
"Edit virtual machine template" still available for user created template
, click it leads to 404 error.

Version-Release number of selected component (if applicable):
master

How reproducible:


Steps to Reproduce:
1. Create a template
2. Click "Edit virtual machine template" in the actions.
3.

Actual results:
"Edit virtual machine template" available.

Expected results:
"Edit virtual machine template" is not available.

Additional info:

Comment 1 Yaacov Zamir 2020-11-29 12:23:19 UTC
@ Rastislav Hi

> Actual results:
> "Edit virtual machine template" available.

> Expected results:
> "Edit virtual machine template" is not available.

AFAIU we should be able to edit custom templates,

Do you know if we should be abale to edit custom templates ?

Comment 2 Rastislav Wagner 2020-11-30 08:35:31 UTC
Expected result is: Link for editing is present for user templates and links to vm template details page

Comment 3 Yaacov Zamir 2020-11-30 09:18:08 UTC
Guohua hi,

I changed the bug title according to answer in https://bugzilla.redhat.com/show_bug.cgi?id=1901395#c2

We should also change the "Expected result" to be "links to vm template details page currectly" instead of "not available"

Comment 5 Guohua Ouyang 2020-12-01 01:16:52 UTC
(In reply to Yaacov Zamir from comment #3)
> Guohua hi,
> 
> I changed the bug title according to answer in
> https://bugzilla.redhat.com/show_bug.cgi?id=1901395#c2
> 
> We should also change the "Expected result" to be "links to vm template
> details page currectly" instead of "not available"

Fine.

Comment 6 Guohua Ouyang 2020-12-01 01:59:51 UTC
Edit the template links to the YAML page, not the details page.

Comment 7 Rastislav Wagner 2020-12-01 11:33:11 UTC
@gouyang@redhat.com Sorry for confusion - i meant YAML tab within details page. Thats where we linked in all previous releases too. Current implementation is fine.

Comment 8 Matan Schatzman 2020-12-01 14:26:16 UTC
We had a discussion with @rawagner@redhat.com , @tjelinek@redhat.com and matt carlton and decided that the links to edit template will be removed.

Comment 12 errata-xmlrpc 2021-02-24 15:35:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.